Subject: Re: bug#47163: [PATCH] refresh: Add '--installed' option.

From: Xinglu Chen <[email-masked]>
Date: Mon, 15 Mar 2021 22:14:13 +0100

On Mon, Mar 15 2021, Ludovic Courtès wrote:

> Hi,
>
> Xinglu Chen <[email-masked]> skribis:
>
>> This lets the user to only check for updates for packages installed in the
>> current profile.
>>
>> If the user is using the imperative way to install packages, or uses
>> multiple manifests, this is a quick way to check for updates for the
>> installed packages.
>>
>> * guix/scripts/refresh.scm (%options): Add '--installed' option.
>> * guix.texi (Invoking guix refresh): Document it.
>
> I sometimes run:
>
>   guix refresh $(guix package -I | cut -f1)
>
> I’m not sure an extra ‘guix refresh’ option is warranted.  WDYT?

That's cool, I think your solution would suffice.  Maybe we could add it
to the manual or cookbok?